Divi WordPress Theme

Topic: PHP 4 and PHP 5 support on one cPanel server  (Read 8110 times)

Offline HRamesh

  • New Member
  • *
  • Posts: 34
  • iTrader: +0/-0
    • View Profile
PHP 4 and PHP 5 support on one cPanel server
« on: October 15, 2008, 01:01:00 AM »
Hi,

Is it possible to have PHP4 and PHP 5 enabled on one server having cPanel as control panel? Also, is it easy to switch from PHP 4 to PHP 5 if it is possible?

Thanks,

Ramesh
VPS Hosting - AccuWebHosting

Offline Kailash

  • Web Hosting Master
  • *****
  • Administrator
  • Posts: 604
  • iTrader: +153/-0
    • View Profile
Re: PHP 4 and PHP 5 support on one cPanel server
« Reply #1 on: October 15, 2008, 10:16:10 AM »
Yes, it is certainly possible. You just need to recompile Apache and PHP with PHP 4 and PHP 5 and it will also allow you to select default PHP version. You can change the PHP version by adding relative directive in .htaccess file to change the version of the PHP.

Kailash

Offline Kailash

  • Web Hosting Master
  • *****
  • Administrator
  • Posts: 604
  • iTrader: +153/-0
    • View Profile
Re: PHP 4 and PHP 5 support on one cPanel server
« Reply #2 on: December 10, 2008, 10:24:47 AM »
Adding further to my previous reply, once you compile Apache with PHP 4 and PHP 5, you can change the version of PHP for particular domain using cPanel. You can do it from "php configuration" (X3 theme needed).

Kailash

Offline kvchosting

  • New Member
  • *
  • Posts: 17
  • iTrader: +0/-0
    • View Profile
Re: PHP 4 and PHP 5 support on one cPanel server
« Reply #3 on: November 25, 2009, 07:16:09 PM »
/scripts/easyapache

here while configuring you can select php 4 and 5 and proceed.

Offline belongcyl

  • Newbie
  • *
  • Posts: 1
  • iTrader: +0/-0
    • View Profile
Re: PHP 4 and PHP 5 support on one cPanel server
« Reply #4 on: August 11, 2010, 08:47:07 AM »
That was a great help....Thanks alot....

Offline brainpulse

  • New Member
  • *
  • Posts: 14
  • iTrader: +0/-0
  • Web Hosting In India
    • View Profile
Re: PHP 4 and PHP 5 support on one cPanel server
« Reply #5 on: September 14, 2010, 04:08:36 PM »
yes I see this In cpanle with WHM but did not get exact meaning to use this.

is this auto upgrade with apache or need some more command .........

Offline Kailash

  • Web Hosting Master
  • *****
  • Administrator
  • Posts: 604
  • iTrader: +153/-0
    • View Profile
Re: PHP 4 and PHP 5 support on one cPanel server
« Reply #6 on: September 16, 2010, 10:48:41 AM »
Using easyapache you can compile PHP and Apache for your server. If you do not have any experience or if you never  use this, do not use this. This will break your PHP and Apache configuration.

Offline yours

  • New Member
  • *
  • Posts: 19
  • iTrader: +0/-0
    • View Profile
Re: PHP 4 and PHP 5 support on one cPanel server
« Reply #7 on: March 29, 2011, 02:58:49 PM »
Download a compatible bag  will  be OK~~

Offline Steve Smith

  • Junior Guru
  • **
  • Posts: 233
  • iTrader: +0/-0
    • View Profile
Re: PHP 4 and PHP 5 support on one cPanel server
« Reply #8 on: April 09, 2013, 11:52:32 AM »
I think Its very helpful...Thank you..
Divi WordPress Theme
Tags: